## freelan 2.0

=== Makefile ===
PRODUCT_NAME:=freelan
PRODUCT_VERSION:=$(shell git describe)

default: install

install:
	# Install the files to ${DESTDIR} (defaults to /)
	scons install prefix=/

build:
	scons all samples

package:
	git archive HEAD --prefix=${PRODUCT_NAME}-${PRODUCT_VERSION}/ | gzip > ${PRODUCT_NAME}-${PRODUCT_VERSION}.tar.gz

=== SConstruct ===
"""
The SConstruct file.

Works on all UNIX-like operating systems.
"""

import os
import sys

from fnmatch import fnmatch

# This file is local.
from defines import Defines

AddOption(
    '--mode',
    dest='mode',
    nargs=1,
    action='store',
    choices=('all', 'debug', 'release'),
    default='all',
    help='The compilation mode.',
)


class FreelanEnvironment(Environment):
    """
    A freelan specific environment class.
    """

    def __init__(self, mode, prefix, **kwargs):
        """
        Initialize the environment.

        :param mode: The compilation mode.
        :param prefix: The installation prefix.
        """
        super(FreelanEnvironment, self).__init__(**kwargs)

        # Inherit the environment from the context.
        self['ENV'] = os.environ

        self.defines = Defines()
        self.defines.register_into(self)

        for flag in [
            'CC',
            'CXX',
            'AR',
            'LINK',
        ]:
            if flag in os.environ:
                self[flag] = os.environ[flag]

        for flag in [
            'CFLAGS',
            'CXXFLAGS',
            'CPPFLAGS',
            'ARFLAGS',
            'LDFLAGS',
            'LINKFLAGS',
            'LIBS',
        ]:
            if flag in os.environ:
                self[flag] = Split(os.environ[flag])

        self.mode = mode
        self.prefix = prefix
        self.destdir = self['ENV'].get('DESTDIR', '')

        if self.destdir:
            self.install_prefix = os.path.normpath(
                os.path.abspath(self.destdir),
            ) + self.prefix
        else:
            self.install_prefix = self.prefix

        if os.path.basename(self['CXX']) == 'clang++':
            self.Append(CXXFLAGS=['-Qunused-arguments'])
            self.Append(CXXFLAGS=['-fcolor-diagnostics'])
        elif os.path.basename(self['CXX']).endswith('g++'):
            self.Append(CXXFLAGS=['-Wno-missing-field-initializers'])

        self.Append(CXXFLAGS=['--std=c++11'])
        self.Append(CXXFLAGS=['-Wall'])
        self.Append(CXXFLAGS=['-Wextra'])
        self.Append(CXXFLAGS=['-Werror'])
        self.Append(CXXFLAGS=['-pedantic'])
        self.Append(CXXFLAGS=['-Wshadow'])
        self.Append(LDFLAGS=['--std=c++11'])

        if sys.platform.startswith('darwin'):
            self.Append(CXXFLAGS=['-arch', 'x86_64'])
            self.Append(CXXFLAGS=['-DBOOST_ASIO_DISABLE_KQUEUE'])
            self.Append(CXXFLAGS=['--stdlib=libc++'])
            self.Append(LDFLAGS=['--stdlib=libc++'])

        if self.mode == 'debug':
            self.Append(CXXFLAGS=['-g'])
            self.Append(CXXFLAGS='-DFREELAN_DEBUG=1')
        else:
            self.Append(CXXFLAGS='-O3')

        self.Append(CPPDEFINES=r'FREELAN_INSTALL_PREFIX="\"%s\""' % self.prefix)

    def RGlob(self, path, patterns=None):
        """
        Returns a list of file objects that match the specified patterns.
        """

        path = unicode(path)

        if isinstance(patterns, basestring):
            patterns = [patterns]

        result = []
        abspath = Dir(path).srcnode().abspath

        for root, ds, fs in os.walk(abspath):
            prefix = os.path.relpath(root, abspath)
            for f in fs:
                if not patterns or any(fnmatch(f, pattern) for pattern in patterns):
                    result.append(File(os.path.join(path, prefix, f)))

        return result

    def RInstall(self, target, source, patterns=None):
        """
        Install a directory, keeping its structure.
        """

        files = self.RGlob(source, patterns)
        result = []

        for f in files:
            result.append(self.Install(os.path.join(str(target), os.path.dirname(str(f))), f))

        return result

    def SymLink(self, target, source):
        def create_symlink(target, source, env):
            os.symlink(os.path.abspath(str(source[0])), os.path.abspath(str(target[0])))

        return self.Command(target, source, create_symlink)


mode = GetOption('mode')
prefix = os.path.normpath(os.path.abspath(ARGUMENTS.get('prefix', './install')))

if mode in ('all', 'release'):
    env = FreelanEnvironment(mode='release', prefix=prefix)
    libraries, includes, apps, samples, configurations = SConscript('SConscript', exports='env', variant_dir=os.path.join('build', env.mode))
    install = env.Install(os.path.join(env.install_prefix, 'bin'), apps)
    install.extend(env.Install(os.path.join(env.install_prefix, 'etc', 'freelan'), configurations))

    Alias('install', install)
    Alias('apps', apps)
    Alias('samples', samples)
    Alias('all', install + apps + samples)

if mode in ('all', 'debug'):
    env = FreelanEnvironment(mode='debug', prefix=prefix)
    libraries, includes, apps, samples, configurations = SConscript('SConscript', exports='env', variant_dir=os.path.join('build', env.mode))
    Alias('apps', apps)
    Alias('samples', samples)
    Alias('all', apps + samples)

if sys.platform.startswith('darwin'):
    retail_prefix = '/usr/local'
    env = FreelanEnvironment(mode='retail', prefix=retail_prefix)
    libraries, includes, apps, samples, configurations = SConscript('SConscript', exports='env', variant_dir=os.path.join('build', env.mode))
    package = SConscript('packaging/osx/SConscript', exports='env apps configurations retail_prefix')
    install_package = env.Install('.', package)
    Alias('package', install_package)

Default('install')

=== packaging/windows/SConstruct ===
"""The SConstruct file"""

import os
import sys
import innosetup

sys.path.insert(0, os.path.abspath('../..'))

from defines import Defines


AddOption(
    '--arch',
    dest='arch',
    nargs=1,
    action='store',
    choices=('all', 'x86', 'amd64'),
    default='all',
    help='The architecture to build the packages for.',
)

env = Environment()
innosetup.generate(env)

defines = Defines()
installers = []


def build_for_arch(arch):

    TAP_SETUP_TEMPLATE = (
        '../../libs/asiotap/windows/tap_adapter/tap-setup/'
        '{}/tap-setup.exe'
    )

    iscc_defines = {
        'NAME': 'freelan',
        'PRODUCT_NAME': "FreeLAN",
        'VERSION': '.'.join(map(str, (
            defines.version.major,
            defines.version.minor,
            defines.version.patch
        ))),
        'ARCH': arch,
        'XARCH': 'x64' if arch == 'amd64' else 'x86',
        'TAP_SETUP': TAP_SETUP_TEMPLATE.format(
            'objfre_win7_amd64/amd64'
            if arch == 'amd64'
            else 'objfre_wxp_x86/i386'
        ),
    }

    return env.INNOSetup(source='freelan.iss', ISCC_DEFINES=iscc_defines)

arch = GetOption('arch')

if arch == 'all':
    for arch in ('x86', 'amd64'):
        installers.append(build_for_arch(arch))
else:
    installers.append(build_for_arch(arch))

env.Default(installers)

=== debian/changelog ===
freelan (2.0-8ubuntu3) eoan; urgency=medium

  * Cherrypick upstream patches to possibly fix ftbfs with new boost.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Wed, 24 Apr 2019 14:43:19 +0100

freelan (2.0-8ubuntu2) cosmic; urgency=high

  * No change rebuild against openssl 1.1.1 with TLS 1.3 support.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Sat, 29 Sep 2018 01:36:45 +0100

freelan (2.0-8ubuntu1) cosmic; urgency=medium

  * Use boost1.65.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Wed, 19 Sep 2018 13:43:51 +0200

freelan (2.0-8build1) cosmic; urgency=medium

  * No-change rebuild for boost soname change.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 17 Jul 2018 12:55:51 +0000

freelan (2.0-8) unstable; urgency=medium

  * QA upload.
  * Move freelan binary to /usr/sbin.  (Closes: #834712)
  * Do not build with -Werror.  (Closes: #897753)
  * Bump Standards-Version to 4.1.5, no changes needed.
  * Fix building twice in a row by cleaning more build artefacts.

 -- Andreas Beckmann <anbe@debian.org>  Sun, 08 Jul 2018 11:51:09 +0200

freelan (2.0-7) unstable; urgency=medium

  * QA upload.
  * Add d/gbp.conf to deal with the non-standard repository layout.
  * d/control:
    + Remove Uploaders field as the package has been orphaned.
    + wrap-and-sort.
    + Move Vcs-* fields to salsa.debian.org.
    + Bump Standards-Version to 4.1.4:
      - Replace Priority:extra (deprecated) with optional.
      - d/copyright: Use HTTPS in the Format field.
  * Bump debhelper compat level to 11.
  * Add patch from Ubuntu to fix build with boost 1.65.

 -- Mattia Rizzolo <mattia@debian.org>  Sun, 27 May 2018 22:41:18 +0200

freelan (2.0-6) unstable; urgency=medium

  * acknowledge previous NMU.  Thanks, Adrian!
  * orphan the package
    I can unfortunately no longer justify the effort to package for Debian

 -- Rolf Leggewie <foss@rolf.leggewie.biz>  Sat, 21 Apr 2018 23:14:07 +0800

freelan (2.0-5.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Add upstream fix for FTBFS with glibc 2.25. (Closes: #882733)

 -- Adrian Bunk <bunk@debian.org>  Wed, 27 Dec 2017 22:18:47 +0200

freelan (2.0-5) unstable; urgency=medium

  [ Sebastien Vincent ]
  * patches: backport 44087faf to re-enable compilation with OpenSSL 1.0.x

  [ Rolf Leggewie ]
  * add README.Debian with instructions on simple test setup

 -- Rolf Leggewie <foss@rolf.leggewie.biz>  Tue, 05 Sep 2017 21:29:41 +0800

freelan (2.0-4) unstable; urgency=medium

  [ Sebastien Vincent ]
  * patches: backport 5014a8023b from upstream. Closes: #853406
    fix FTBFS with gcc7

  [ Rolf Leggewie ]
  * control: update to standards version 4.0.0
    - fix typo in manpage
    - make the whatis entry for the freelan manpage more meaningful
  * copyright: update my copyright to 2017

 -- Rolf Leggewie <foss@rolf.leggewie.biz>  Sun, 06 Aug 2017 17:57:54 +0800

freelan (2.0-2) unstable; urgency=medium

  [ Julien Kauffmann ]
  * patches: backport changes to compile with openssl 1.1. Closes: #828304

  [ Rolf Leggewie ]
  * control:
    - add explicit run-time dependency on lsb-base
    - bump standards version to 3.9.8
  * copyright: update my copyright to 2016

 -- Rolf Leggewie <foss@rolf.leggewie.biz>  Tue, 15 Nov 2016 14:19:18 +0800

freelan (2.0-1) unstable; urgency=low

  * initial release to Debian. Closes: #780608
    based on previous work by Julien Kauffmann and Etienne Champetier

 -- Rolf Leggewie <foss@rolf.leggewie.biz>  Tue, 05 Jan 2016 23:48:09 +0800

=== debian/control ===
Source: freelan
Section: net
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends:
 debhelper (>= 11),
 libboost-filesystem-dev,
 libboost-iostreams-dev,
 libboost-program-options-dev,
 libboost-system-dev,
 libboost-thread-dev,
 libcurl4-openssl-dev,
 libssl-dev,
 scons,
Standards-Version: 4.1.5
Homepage: http://www.freelan.org
Vcs-Browser: https://salsa.debian.org/debian/freelan
Vcs-Git: https://salsa.debian.org/debian/freelan.git

Package: freelan
Architecture: any
Depends:
 lsb-base (>= 3.0-6),
 ${misc:Depends},
 ${shlibs:Depends},
Description: Peer-to-peer virtual private network daemon
 Freelan is an application to create secure ethernet tunnels over a
 single UDP port. It can be used to create virtual LANs ("Local
 Area Network"), hence the name: "freelan".
 .
 Freelan may create peer-to-peer tunnel connections or rely on a
 more classic client/server layout. The virtual network can be
 shaped to fit exactly the bandwidth or topology constraints,
 providing an optimal virtual private network.
 .
 Freelan is particularly useful for remote sites interconnection and
 gaming.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

export DESTDIR=debian/freelan/
export bin_prefix=usr/

## freelan 2.2

=== Makefile ===
PRODUCT_NAME:=freelan
PRODUCT_VERSION:=$(shell cat VERSION | tr -d '\r\n')
PRODUCT_BIN_PREFIX?=/usr/local
PRODUCT_PREFIX?=/usr/local
USE_UPNP?=yes
USE_MONGOOSE?=no
MAKE_JOBS?=1

default: build

.PHONY: build install

build:
	FREELAN_NO_GIT=1 FREELAN_NO_GIT_VERSION=${PRODUCT_VERSION} scons -j${MAKE_JOBS} --mode=release apps prefix=${PRODUCT_PREFIX} bin_prefix=${PRODUCT_BIN_PREFIX} --upnp=${USE_UPNP} --mongoose=${USE_MONGOOSE}

install:
	# Install the files to $(DESTDIR) (defaults to /)
	FREELAN_NO_GIT=1 FREELAN_NO_GIT_VERSION=${PRODUCT_VERSION} DESTDIR=$(DESTDIR) scons -j${MAKE_JOBS} --mode=release install prefix=${PRODUCT_PREFIX} bin_prefix=${PRODUCT_BIN_PREFIX} --upnp=${USE_UPNP} --mongoose=${USE_MONGOOSE}

package:
	git archive HEAD --prefix=${PRODUCT_NAME}-${PRODUCT_VERSION}/ -o ${PRODUCT_NAME}-${PRODUCT_VERSION}.tar.gz

clean:
	FREELAN_NO_GIT=1 FREELAN_NO_GIT_VERSION=${PRODUCT_VERSION} scons -c --mode=release apps prefix=${PRODUCT_PREFIX} bin_prefix=${PRODUCT_BIN_PREFIX} --upnp=${USE_UPNP} --mongoose=${USE_MONGOOSE}

=== SConstruct ===
--- 
+++ 
@@ -6,6 +6,7 @@
 
 import os
 import sys
+import SCons.Errors
 
 from fnmatch import fnmatch
 
@@ -21,14 +22,31 @@
     default='all',
     help='The compilation mode.',
 )
-
+AddOption(
+    '--mongoose',
+    dest='mongoose',
+    nargs=1,
+    action='store',
+    choices=('yes', 'no'),
+    default='no',
+    help='Build webserver with mongoose (warning: it will violate GPLv3 license to distribute binaries built with this switch turned on!)',
+)
+AddOption(
+    '--upnp',
+    dest='upnp',
+    nargs=1,
+    action='store',
+    choices=('yes', 'no'),
+    default='yes',
+    help='Build FreeLAN with UPnP support.',
+)
 
 class FreelanEnvironment(Environment):
     """
     A freelan specific environment class.
     """
 
-    def __init__(self, mode, prefix, **kwargs):
+    def __init__(self, mode, prefix, bin_prefix=None, **kwargs):
         """
         Initialize the environment.
 
@@ -66,20 +84,35 @@
 
         self.mode = mode
         self.prefix = prefix
+        self.bin_prefix = bin_prefix if bin_prefix else prefix
         self.destdir = self['ENV'].get('DESTDIR', '')
+        self.mongoose = mongoose
+        self.upnp = upnp
 
         if self.destdir:
             self.install_prefix = os.path.normpath(
                 os.path.abspath(self.destdir),
             ) + self.prefix
+            self.bin_install_prefix = os.path.normpath(
+                os.path.abspath(self.destdir),
+            ) + self.bin_prefix
         else:
             self.install_prefix = self.prefix
-
-        if os.path.basename(self['CXX']) == 'clang++':
-            self.Append(CXXFLAGS=['-Qunused-arguments'])
-            self.Append(CXXFLAGS=['-fcolor-diagnostics'])
-        elif os.path.basename(self['CXX']).endswith('g++'):
-            self.Append(CXXFLAGS=['-Wno-missing-field-initializers'])
+            self.bin_install_prefix = self.bin_prefix
+
+        if self['CXX'] is None:
+            raise SCons.Errors.BuildError(
+                errstr=(
+                    "Failed to detect C++ compiler : CXX environment variable not set."
+                    "\nIs g++ or clang++ available in your PATH ?"
+                    "\nIf you have no idea what this is about,"
+                    "\ntry installing the 'build-essential' package"))
+        else:
+            if os.path.basename(self['CXX']) == 'clang++':
+                self.Append(CXXFLAGS=['-Qunused-arguments'])
+                self.Append(CXXFLAGS=['-fcolor-diagnostics'])
+            elif os.path.basename(self['CXX']).startswith('g++'):
+                self.Append(CXXFLAGS=['-Wno-missing-field-initializers'])
 
         self.Append(CXXFLAGS=['--std=c++11'])
         self.Append(CXXFLAGS=['-Wall'])
@@ -93,7 +126,28 @@
             self.Append(CXXFLAGS=['-arch', 'x86_64'])
             self.Append(CXXFLAGS=['-DBOOST_ASIO_DISABLE_KQUEUE'])
             self.Append(CXXFLAGS=['--stdlib=libc++'])
+            self.Append(CXXFLAGS=['-I/usr/local/opt/openssl/include'])
+            self.Append(CFLAGS=['-I/usr/local/opt/openssl/include'])
             self.Append(LDFLAGS=['--stdlib=libc++'])
+            self.Append(LDFLAGS=['-L/usr/local/opt/openssl/lib'])
+            self.Append(LIBPATH=['/usr/local/opt/openssl/lib'])
+
+        if sys.platform.startswith('freebsd'):
+            self.Append(CXXFLAGS=['-I/usr/local/include', '-Wno-shadow', '-Wno-nested-anon-types', '-Wno-unused-parameter'])
+            self.Append(CFLAGS=['-I/usr/local/include', '-Wno-shadow', '-Wno-nested-anon-types', '-Wno-unused-parameter'])
+            self.Append(LDFLAGS=['-L/usr/local/lib'])
+            self.Append(LIBPATH=['/usr/local/lib'])
+
+        if sys.platform.startswith('openbsd'):
+            self.Append(CXXFLAGS=['-I/usr/local/include', '-pthread', '-Wno-shadow', '-Wno-nested-anon-types', '-Wno-unused-parameter', '-Wno-unused-local-typedef'])
+            self.Append(CFLAGS=['-I/usr/local/include', '-pthread', '-Wno-shadow', '-Wno-nested-anon-types', '-Wno-unused-parameter', '-Wno-unused-local-typedef'])
+            self.Append(LDFLAGS=['-L/usr/local/lib'])
+            self.Append(LIBPATH=['/usr/local/lib'])
+
+        if sys.platform.startswith('netbsd'):
+            self.Append(CXXFLAGS=['-I/usr/pkg/include', '-Wno-shadow'])
+            self.Append(CFLAGS=['-I/usr/pkg/include', '-Wno-shadow'])
+            self.Append(LIBPATH=['/usr/pkg/lib'])
 
         if self.mode == 'debug':
             self.Append(CXXFLAGS=['-g'])
@@ -101,6 +155,12 @@
         else:
             self.Append(CXXFLAGS='-O3')
 
+        if self.mongoose == 'yes':
+		        self.Append(CXXFLAGS=['-DUSE_MONGOOSE'])
+
+        if self.upnp == 'yes':
+		        self.Append(CXXFLAGS=['-DUSE_UPNP'])
+
         self.Append(CPPDEFINES=r'FREELAN_INSTALL_PREFIX="\"%s\""' % self.prefix)
 
     def RGlob(self, path, patterns=None):
@@ -145,31 +205,39 @@
 
 
 mode = GetOption('mode')
+mongoose = GetOption('mongoose')
+upnp = GetOption('upnp')
 prefix = os.path.normpath(os.path.abspath(ARGUMENTS.get('prefix', './install')))
 
+if 'bin_prefix' in ARGUMENTS:
+    bin_prefix = os.path.normpath(os.path.abspath(ARGUMENTS['bin_prefix']))
+else:
+    bin_prefix = None
+
 if mode in ('all', 'release'):
-    env = FreelanEnvironment(mode='release', prefix=prefix)
-    libraries, includes, apps, samples, configurations = SConscript('SConscript', exports='env', variant_dir=os.path.join('build', env.mode))
-    install = env.Install(os.path.join(env.install_prefix, 'bin'), apps)
+    env = FreelanEnvironment(mode='release', prefix=prefix, bin_prefix=bin_prefix, mongoose=mongoose, upnp=upnp)
+    libraries, includes, apps, samples, configurations, help = SConscript('SConscript', exports='env', variant_dir=os.path.join('build', env.mode))
+    install = env.Install(os.path.join(env.bin_install_prefix, 'bin'), apps)
+    install.extend(env.Install(os.path.join(env.bin_install_prefix, 'share/man', 'man1'), help))
     install.extend(env.Install(os.path.join(env.install_prefix, 'etc', 'freelan'), configurations))
 
     Alias('install', install)
-    Alias('apps', apps)
+    Alias('apps', apps + help)
     Alias('samples', samples)
-    Alias('all', install + apps + samples)
+    Alias('all', install + apps + help + samples)
 
 if mode in ('all', 'debug'):
-    env = FreelanEnvironment(mode='debug', prefix=prefix)
-    libraries, includes, apps, samples, configurations = SConscript('SConscript', exports='env', variant_dir=os.path.join('build', env.mode))
-    Alias('apps', apps)
+    env = FreelanEnvironment(mode='debug', prefix=prefix, mongoose=mongoose, upnp=upnp)
+    libraries, includes, apps, samples, configurations, help = SConscript('SConscript', exports='env', variant_dir=os.path.join('build', env.mode))
+    Alias('apps', apps + help)
     Alias('samples', samples)
-    Alias('all', apps + samples)
+    Alias('all', apps + help + samples)
 
 if sys.platform.startswith('darwin'):
     retail_prefix = '/usr/local'
-    env = FreelanEnvironment(mode='retail', prefix=retail_prefix)
-    libraries, includes, apps, samples, configurations = SConscript('SConscript', exports='env', variant_dir=os.path.join('build', env.mode))
-    package = SConscript('packaging/osx/SConscript', exports='env apps configurations retail_prefix')
+    env = FreelanEnvironment(mode='retail', prefix=retail_prefix, mongoose=mongoose, upnp=upnp)
+    libraries, includes, apps, samples, configurations, help = SConscript('SConscript', exports='env', variant_dir=os.path.join('build', env.mode))
+    package = SConscript('packaging/osx/SConscript', exports='env apps configurations retail_prefix help')
     install_package = env.Install('.', package)
     Alias('package', install_package)

=== packaging/windows/SConstruct ===
--- 
+++ 
@@ -27,11 +27,7 @@
 
 
 def build_for_arch(arch):
-
-    TAP_SETUP_TEMPLATE = (
-        '../../libs/asiotap/windows/tap_adapter/tap-setup/'
-        '{}/tap-setup.exe'
-    )
+    TAP_SETUP_TEMPLATE = '../../install/{}/Release/bin/tap-setup.exe'
 
     iscc_defines = {
         'NAME': 'freelan',
@@ -44,9 +40,7 @@
         'ARCH': arch,
         'XARCH': 'x64' if arch == 'amd64' else 'x86',
         'TAP_SETUP': TAP_SETUP_TEMPLATE.format(
-            'objfre_win7_amd64/amd64'
-            if arch == 'amd64'
-            else 'objfre_wxp_x86/i386'
+            'x64' if arch == 'amd64' else 'x86'
         ),
     }

=== debian/changelog ===
freelan (2.2-3) unstable; urgency=medium

  * QA Upload.
  * Update Standards-Version to 4.5.0
  * Add Rules-Requires-Root: no
  * Add folder to d/clean
  * Set upstream metadata fields: Bug-Database, Repository,
    Repository-Browse, Bug-Submit.
  * Add upstream commit as 0007-Move-to-Python-3.patch
  * Add upstream commit as 0006-Fix-build-outside-git.patch closes: #952306

 -- Håvard Flaget Aasen <haavard_aasen@yahoo.no>  Sat, 29 Feb 2020 15:56:31 +0100

freelan (2.2-2) unstable; urgency=medium

  * QA upload
  * Use nproc to parallelize the build
  * Update manpage
  * Change configuration filename from .conf to .cfg in init.d script
  * Freelan binary patch only changes binary path
  * Fix paths that's being exported to scons

 -- Håvard Flaget Aasen <haavard_aasen@yahoo.no>  Sat, 18 Jan 2020 20:37:52 +0100

freelan (2.2-1) unstable; urgency=medium

  * QA upload
  [ Ondřej Nový ]
  * d/copyright: Change Format URL to correct one

  [ Håvard Flaget Aasen ]
  * New upstream release
    - Upstream fixes ftbfs with boost 1.67 closes: #914068
    - By default it compiles with upnp=yes and moongoose=no
  * Create debian/watch file
  * d/control
    - Added Pre-Depends: ${misc:Pre-Depends}
    - Change to debhelper-compat
    - Bump debhelper to 12
    - Update Standards-Version to 4.4.1
    - Use secure URI on homepage
    - Add libminiupnpc-dev as build-dependency
  * Updated d/clean
  * d/rules
    - Updated install paths
  * Update paths in d/copyright, upstream has restructured the code.
  * Patches
    - All but two patches got removed, fixed upstream.
    - Add 0001-build-Adds-support-for-Boost-1.70.patch
    - Add 0002-Fix-for-boost-versions-less-than-1.66.patch

 -- Håvard Flaget Aasen <haavard_aasen@yahoo.no>  Sun, 12 Jan 2020 21:39:01 +0100

=== debian/control ===
--- 
+++ 
@@ -1,25 +1,28 @@
 Source: freelan
 Section: net
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian QA Group <packages@qa.debian.org>
+Maintainer: Debian QA Group <packages@qa.debian.org>
 Build-Depends:
- debhelper (>= 11),
+ debhelper-compat (= 12),
  libboost-filesystem-dev,
  libboost-iostreams-dev,
  libboost-program-options-dev,
  libboost-system-dev,
  libboost-thread-dev,
+ libminiupnpc-dev,
  libcurl4-openssl-dev,
  libssl-dev,
  scons,
-Standards-Version: 4.1.5
-Homepage: http://www.freelan.org
+Standards-Version: 4.5.0
+Rules-Requires-Root: no
+Homepage: https://www.freelan.org
 Vcs-Browser: https://salsa.debian.org/debian/freelan
 Vcs-Git: https://salsa.debian.org/debian/freelan.git
 
 Package: freelan
 Architecture: any
+Pre-Depends:
+ ${misc:Pre-Depends}
 Depends:
  lsb-base (>= 3.0-6),
  ${misc:Depends},

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE=1

export PRODUCT_BIN_PREFIX=/usr/
export PRODUCT_PREFIX=/
export MAKE_JOBS:=$(shell nproc)

%:
	dh $@

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/freelan-$1\.tar\.gz/ \
  https://github.com/freelan-developers/freelan/tags .*/v?(\d\S+)\.tar\.gz
